// $Rev: 636 $ $LastChangedDate: 2002-08-28 03:09:52 +0200 (Wed, 28 Aug 2002) $

string len(<int>list l)
{
	switch l {
	case []:
		return "nul";
	case [_]:
		return "one";
	case [_, _]:
		return "two";
	case _:
		return "infty";
	}
}

section init 
{
	_ x = [[], [1], [1,2], [1, 2], [1, 2, 3], [1, 2, 3, 4]];
	print_string(String::concat(", ", List::map(len, x)) + "\n");
}

/* 
 * expected-build-status: ok
 * run-test: yes
 * expected-output: nul, one, two, two, infty, infty
 */
