#ifndef BISON_PARSER_TAB_H
# define BISON_PARSER_TAB_H

# ifndef YYSTYPE
#  define YYSTYPE int
#  define YYSTYPE_IS_TRIVIAL 1
# endif

#ifndef YYLTYPE
typedef struct yyltype
{
  int first_line;
  int first_column;

  int last_line;
  int last_column;
} yyltype;

# define YYLTYPE yyltype
# define YYLTYPE_IS_TRIVIAL 1
#endif

# define	INT	257
# define	FLOAT	258
# define	ID	259
# define	STRING	260
# define	TYVAR	261
# define	CHAR	262
# define	LEX_ERROR	263
# define	KW_AS	264
# define	KW_BOOL	265
# define	KW_BREAK	266
# define	KW_CASE	267
# define	KW_CLASS	268
# define	KW_CONTINUE	269
# define	KW_DEF	270
# define	KW_DO	271
# define	KW_ELSE	272
# define	KW_EXCEPTION	273
# define	KW_EXTERN	274
# define	KW_FALSE	275
# define	KW_FINALLY	276
# define	KW_FLOAT	277
# define	KW_FOR	278
# define	KW_FUN	279
# define	KW_IF	280
# define	KW_IN	281
# define	KW_INT	282
# define	KW_LET	283
# define	KW_NAMESPACE	284
# define	KW_NEW	285
# define	KW_NULL	286
# define	KW_OBJECT	287
# define	KW_OPEN	288
# define	KW_OPT_STRUCT	289
# define	KW_RAISE	290
# define	KW_RETURN	291
# define	KW_SECTION	292
# define	KW_SKIP	293
# define	KW_STRING	294
# define	KW_STRUCT	295
# define	KW_SWITCH	296
# define	KW_THIS	297
# define	KW_TRUE	298
# define	KW_TRY	299
# define	KW_TYPE	300
# define	KW_TYPEDEF	301
# define	KW_UNION	302
# define	KW_VOID	303
# define	KW_WHILE	304
# define	KW_WITH	305
# define	AND_AND	306
# define	OR_OR	307
# define	ARROW	308
# define	GTGT	309
# define	LTLT	310
# define	DOUBLECOLON	311
# define	EQ	312
# define	NE	313
# define	GE	314
# define	LE	315
# define	MINUS_EQUAL	316
# define	PERCENT_EQUAL	317
# define	PLUS_EQUAL	318
# define	SLASH_EQUAL	319
# define	STAR_EQUAL	320
# define	AND_EQUAL	321
# define	OR_EQUAL	322
# define	XOR_EQUAL	323
# define	LTLT_EQUAL	324
# define	GTGT_EQUAL	325
# define	MINUS_MINUS	326
# define	PLUS_PLUS	327
# define	UMINUS	328


extern YYSTYPE yylval;

#endif /* not BISON_PARSER_TAB_H */
