/*
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Rev: 840 $ $LastChangedDate: 2002-09-01 16:56:25 +0200 (Sun, 01 Sep 2002) $
 *
 * Cg_types - Gont-type -> Ksi-type mappings.
 */

open Ast;

void push_basic_types();

// Ksi type used to locally store value of type [t]
Ksi::ty storage_type(ty t);

// Ksi type used to pass value of type [t] to function
Ksi::ty transport_type(ty t);

bool need_t2s_conversion(ty t);

bool need_s2t_conversion(ty t);

Ksi::expr s2t_conversion(ty t, Ksi::expr e);

Ksi::expr t2s_conversion(ty t, Ksi::expr e);

Ksi::expr size_of_struct(ty t);

// vim:sts=4:sw=4
