// Test basic unions
// $Rev: 629 $ $LastChangedDate: 2002-08-28 01:30:26 +0200 (Wed, 28 Aug 2002) $

union foo {
	int Int;
	string String;
	*(int, int) Int2;
	*(foo, foo) Foo2;
}

void print_foo(foo x)
{
	switch x {
	case String(s):
		print_string(s);
	case Int(i):
		print_int(i);
	case Int2(u, v):
		print_string("(");
		print_int(u);
		print_string(",");
		print_int(v);
		print_string(")");
	case Foo2(u, v):
		print_string("(");
		print_foo(u);
		print_foo(v); 
		print_string(")");
	}

	print_string(" ");
}

section init
{
	print_foo(String("foo"));
	print_foo(Int(10));
	print_foo(Int2(10, 20));
	print_foo(Foo2(Foo2(Int(10), String("bar")), Int2(20,30)));
	print_string(".\n");
}

/* 
 * expected-build-status: ok
 * run-test: yes
 * expected-output: foo 10 (10,20) ((10 bar ) (20,30) ) .
 */
